package com.philisense.www.license;

import java.util.prefs.*;

public class DefaultLicenseParam implements LicenseParam
{
    private final String subject;
    private final Preferences preferences;
    private final KeyStoreParam keyStoreParam;
    private final CipherParam cipherParam;
    
    public DefaultLicenseParam(final String subject, final Preferences preferences, final KeyStoreParam keyStoreParam, final CipherParam cipherParam) {
        this.subject = subject;
        this.preferences = preferences;
        this.keyStoreParam = keyStoreParam;
        this.cipherParam = cipherParam;
    }
    
    @Override
    public String getSubject() {
        return this.subject;
    }
    
    @Override
    public Preferences getPreferences() {
        return this.preferences;
    }
    
    @Override
    public KeyStoreParam getKeyStoreParam() {
        return this.keyStoreParam;
    }
    
    @Override
    public CipherParam getCipherParam() {
        return this.cipherParam;
    }
}
